Name:          jsr-311
Version:       1.1.1
Release:       %mkrel 3
Summary:       JAX-RS: Java API for RESTful Web Services
Group:         Development/Java 
License:       CDDL
Url:           http://jsr311.java.net/
# svn export https://svn.java.net/svn/jsr311~svn/tags/jsr311-api-1.1.1 jsr311-1.1.1 --username USERNAME
# tar czf jsr311-1.1.1-src-svn.tar.gz jsr311-1.1.1
Source0:       jsr311-1.1.1-src-svn.tar.gz

# remove 
#    org.jvnet.wagon-svn wagon-svn 1.8
#    org.codehaus.mojo buildnumber-maven-plugin

Patch0:        jsr311-1.1.1-pom.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: junit
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-source-plugin
BuildRequires: maven-shared-osgi

BuildRequires: forge-parent

Requires:      jpackage-utils
Requires:      java
BuildArch:     noarch
Obsoletes:     jsr311
Provides:      jsr311

%description
JAX-RS: Java API for RESTful Web Services

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java 
Requires:      jpackage-utils
Obsoletes:     jsr311-javadoc
Provides:      jsr311-javadoc

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n jsr311-%{version}
chmod -R go=u-w *

find . -name '*.jar' -exec rm -f '{}' \;
find . -name '*.class' -exec rm -f '{}' \;

%patch0 -p0

%build

mvn-rpmbuild install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/jsr311-api-%{version}.jar %{buildroot}%{_javadir}/%{name}-api.jar
ln -sf %{name}-api.jar  %{buildroot}%{_javadir}/jsr311-api.jar
ln -sf %{name}-api.jar  %{buildroot}%{_javadir}/%{name}.jar
ln -sf %{name}-api.jar  %{buildroot}%{_javadir}/jsr311.jar

install -pm 644 target/jsr311-api-%{version}-javadoc.jar %{buildroot}%{_javadir}/jsr311-api-javadoc.jar
install -pm 644 target/jsr311-api-%{version}-sources.jar %{buildroot}%{_javadir}/jsr311-api-sources.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/*.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-3.mga3
+ Revision: 355638
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 04 2012 gil <gil> 1.1.1-2.mga2
+ Revision: 217921
- imported package jsr-311

